Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Disputes

  • List disputes

  • Retrieve dispute

  • Accept dispute

  • List dispute evidence

  • Create dispute evidence file

  • Create dispute evidence text

  • Delete dispute evidence

  • Retrieve dispute evidence

  • Submit evidence

  • Webhooks

  • dispute.created

  • dispute.evidence.created

  • dispute.evidence.deleted

  • dispute.state.updated

<- Disputes API

Disputes API

All versions ->

List disputes

GET

 /v2/disputes

Returns a list of disputes associated with a particular account.

Permissions:DISPUTES_READ

Guide

Access dispute information

Try in API Explorer
Link to section

Query parameters

Example code

Link to section

cursor

string

A pagination cursor returned by a previous call to this endpoint. Provide this cursor to retrieve the next set of results for the original query. For more information, see Pagination.

Link to section

states

string

The dispute states used to filter the result. If not specified, the endpoint returns all disputes.

Link to section

location_id

string

The ID of the location for which to return a list of disputes. If not specified, the endpoint returns disputes associated with all locations.

Link to section

Response fields

Link to section

errors

Information about errors encountered during the request.

Link to section

disputes

The list of disputes.

Link to section

cursor

string

The pagination cursor to be used in a subsequent request. If unset, this is the final response. For more information, see Pagination.

Link to section

Examples

All versions ->

GET /v2/disputes
curl https://connect.squareup.com/v2/disputes \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{ "disputes": [ { "amount_money": { "amount": 2500, "currency": "USD" }, "reason": "NO_KNOWLEDGE", "state": "ACCEPTED", "due_at": "2022-07-13T00:00:00.000Z", "disputed_payment": { "payment_id": "zhyh1ch64kRBrrlfVhwjCEjZWzNZY" }, "card_brand": "VISA", "created_at": "2022-06-29T18:45:22.265Z", "updated_at": "2022-07-07T19:14:42.650Z", "brand_dispute_id": "100000809947", "version": 2, "location_id": "L1HN3ZMQK64X9", "id": "XDgyFu7yo1E2S5lQGGpYn", "reported_at": "2022-06-29T00:00:00.000Z" }, { "amount_money": { "amount": 2209, "currency": "USD" }, "reason": "NOT_AS_DESCRIBED", "state": "EVIDENCE_REQUIRED", "due_at": "2022-05-13T00:00:00.000Z", "disputed_payment": { "payment_id": "zhyh1ch64kRBrrlfVhwjCEjZWzNZY" }, "card_brand": "VISA", "created_at": "2022-04-29T18:45:22.265Z", "updated_at": "2022-04-29T18:45:22.265Z", "brand_dispute_id": "r5Of6YaGT7AdeRaVoAGCJw", "version": 1, "location_id": "18YC4JDH91E1H", "id": "jLGg7aXC7lvKPr9PISt0T", "reported_at": "2022-04-29T00:00:00.000Z" } ], "cursor": "G1aSTRm48CLjJsg6Sg3hQN1b1OMaoVuG" }